// Code generated by protoc-gen-go. DO NOT EDIT.
// source: category_command.proto

package proto_buffer

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Error struct {
	Error                string   `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	Code                 int64    `protobuf:"varint,2,opt,name=code,proto3" json:"code,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Error) Reset()         { *m = Error{} }
func (m *Error) String() string { return proto.CompactTextString(m) }
func (*Error) ProtoMessage()    {}
func (*Error) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{0}
}

func (m *Error) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Error.Unmarshal(m, b)
}
func (m *Error) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Error.Marshal(b, m, deterministic)
}
func (m *Error) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Error.Merge(m, src)
}
func (m *Error) XXX_Size() int {
	return xxx_messageInfo_Error.Size(m)
}
func (m *Error) XXX_DiscardUnknown() {
	xxx_messageInfo_Error.DiscardUnknown(m)
}

var xxx_messageInfo_Error proto.InternalMessageInfo

func (m *Error) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *Error) GetCode() int64 {
	if m != nil {
		return m.Code
	}
	return 0
}

type CreateCategoryRequest struct {
	Description string `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
	Status      bool   `protobuf:"varint,2,opt,name=status,proto3" json:"status,omitempty"`
	// Types that are valid to be assigned to OptionalParentCategory:
	//	*CreateCategoryRequest_ParentCategory
	OptionalParentCategory isCreateCategoryRequest_OptionalParentCategory `protobuf_oneof:"optional_parent_category"`
	XXX_NoUnkeyedLiteral   struct{}                                       `json:"-"`
	XXX_unrecognized       []byte                                         `json:"-"`
	XXX_sizecache          int32                                          `json:"-"`
}

func (m *CreateCategoryRequest) Reset()         { *m = CreateCategoryRequest{} }
func (m *CreateCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*CreateCategoryRequest) ProtoMessage()    {}
func (*CreateCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{1}
}

func (m *CreateCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateCategoryRequest.Unmarshal(m, b)
}
func (m *CreateCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateCategoryRequest.Marshal(b, m, deterministic)
}
func (m *CreateCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateCategoryRequest.Merge(m, src)
}
func (m *CreateCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_CreateCategoryRequest.Size(m)
}
func (m *CreateCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateCategoryRequest proto.InternalMessageInfo

func (m *CreateCategoryRequest) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *CreateCategoryRequest) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

type isCreateCategoryRequest_OptionalParentCategory interface {
	isCreateCategoryRequest_OptionalParentCategory()
}

type CreateCategoryRequest_ParentCategory struct {
	ParentCategory string `protobuf:"bytes,3,opt,name=parent_category,json=parentCategory,proto3,oneof"`
}

func (*CreateCategoryRequest_ParentCategory) isCreateCategoryRequest_OptionalParentCategory() {}

func (m *CreateCategoryRequest) GetOptionalParentCategory() isCreateCategoryRequest_OptionalParentCategory {
	if m != nil {
		return m.OptionalParentCategory
	}
	return nil
}

func (m *CreateCategoryRequest) GetParentCategory() string {
	if x, ok := m.GetOptionalParentCategory().(*CreateCategoryRequest_ParentCategory); ok {
		return x.ParentCategory
	}
	return ""
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*CreateCategoryRequest) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*CreateCategoryRequest_ParentCategory)(nil),
	}
}

type CreateCategoryResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateCategoryResponse) Reset()         { *m = CreateCategoryResponse{} }
func (m *CreateCategoryResponse) String() string { return proto.CompactTextString(m) }
func (*CreateCategoryResponse) ProtoMessage()    {}
func (*CreateCategoryResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{2}
}

func (m *CreateCategoryResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateCategoryResponse.Unmarshal(m, b)
}
func (m *CreateCategoryResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateCategoryResponse.Marshal(b, m, deterministic)
}
func (m *CreateCategoryResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateCategoryResponse.Merge(m, src)
}
func (m *CreateCategoryResponse) XXX_Size() int {
	return xxx_messageInfo_CreateCategoryResponse.Size(m)
}
func (m *CreateCategoryResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateCategoryResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateCategoryResponse proto.InternalMessageInfo

func (m *CreateCategoryResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *CreateCategoryResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type UpdateCategoryRequest struct {
	Uuid        string `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Description string `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Status      bool   `protobuf:"varint,3,opt,name=status,proto3" json:"status,omitempty"`
	// Types that are valid to be assigned to OptionalParentCategory:
	//	*UpdateCategoryRequest_ParentCategory
	OptionalParentCategory isUpdateCategoryRequest_OptionalParentCategory `protobuf_oneof:"optional_parent_category"`
	XXX_NoUnkeyedLiteral   struct{}                                       `json:"-"`
	XXX_unrecognized       []byte                                         `json:"-"`
	XXX_sizecache          int32                                          `json:"-"`
}

func (m *UpdateCategoryRequest) Reset()         { *m = UpdateCategoryRequest{} }
func (m *UpdateCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateCategoryRequest) ProtoMessage()    {}
func (*UpdateCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{3}
}

func (m *UpdateCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateCategoryRequest.Unmarshal(m, b)
}
func (m *UpdateCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateCategoryRequest.Marshal(b, m, deterministic)
}
func (m *UpdateCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateCategoryRequest.Merge(m, src)
}
func (m *UpdateCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateCategoryRequest.Size(m)
}
func (m *UpdateCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateCategoryRequest proto.InternalMessageInfo

func (m *UpdateCategoryRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *UpdateCategoryRequest) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *UpdateCategoryRequest) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

type isUpdateCategoryRequest_OptionalParentCategory interface {
	isUpdateCategoryRequest_OptionalParentCategory()
}

type UpdateCategoryRequest_ParentCategory struct {
	ParentCategory string `protobuf:"bytes,4,opt,name=parent_category,json=parentCategory,proto3,oneof"`
}

func (*UpdateCategoryRequest_ParentCategory) isUpdateCategoryRequest_OptionalParentCategory() {}

func (m *UpdateCategoryRequest) GetOptionalParentCategory() isUpdateCategoryRequest_OptionalParentCategory {
	if m != nil {
		return m.OptionalParentCategory
	}
	return nil
}

func (m *UpdateCategoryRequest) GetParentCategory() string {
	if x, ok := m.GetOptionalParentCategory().(*UpdateCategoryRequest_ParentCategory); ok {
		return x.ParentCategory
	}
	return ""
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*UpdateCategoryRequest) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*UpdateCategoryRequest_ParentCategory)(nil),
	}
}

type UpdateCategoryResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateCategoryResponse) Reset()         { *m = UpdateCategoryResponse{} }
func (m *UpdateCategoryResponse) String() string { return proto.CompactTextString(m) }
func (*UpdateCategoryResponse) ProtoMessage()    {}
func (*UpdateCategoryResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{4}
}

func (m *UpdateCategoryResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateCategoryResponse.Unmarshal(m, b)
}
func (m *UpdateCategoryResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateCategoryResponse.Marshal(b, m, deterministic)
}
func (m *UpdateCategoryResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateCategoryResponse.Merge(m, src)
}
func (m *UpdateCategoryResponse) XXX_Size() int {
	return xxx_messageInfo_UpdateCategoryResponse.Size(m)
}
func (m *UpdateCategoryResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateCategoryResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateCategoryResponse proto.InternalMessageInfo

func (m *UpdateCategoryResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *UpdateCategoryResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type DeleteCategoryRequest struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteCategoryRequest) Reset()         { *m = DeleteCategoryRequest{} }
func (m *DeleteCategoryRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteCategoryRequest) ProtoMessage()    {}
func (*DeleteCategoryRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{5}
}

func (m *DeleteCategoryRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteCategoryRequest.Unmarshal(m, b)
}
func (m *DeleteCategoryRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteCategoryRequest.Marshal(b, m, deterministic)
}
func (m *DeleteCategoryRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteCategoryRequest.Merge(m, src)
}
func (m *DeleteCategoryRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteCategoryRequest.Size(m)
}
func (m *DeleteCategoryRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteCategoryRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteCategoryRequest proto.InternalMessageInfo

func (m *DeleteCategoryRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

type DeleteCategoryResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteCategoryResponse) Reset()         { *m = DeleteCategoryResponse{} }
func (m *DeleteCategoryResponse) String() string { return proto.CompactTextString(m) }
func (*DeleteCategoryResponse) ProtoMessage()    {}
func (*DeleteCategoryResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_193898a09c7680a5, []int{6}
}

func (m *DeleteCategoryResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteCategoryResponse.Unmarshal(m, b)
}
func (m *DeleteCategoryResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteCategoryResponse.Marshal(b, m, deterministic)
}
func (m *DeleteCategoryResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteCategoryResponse.Merge(m, src)
}
func (m *DeleteCategoryResponse) XXX_Size() int {
	return xxx_messageInfo_DeleteCategoryResponse.Size(m)
}
func (m *DeleteCategoryResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteCategoryResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteCategoryResponse proto.InternalMessageInfo

func (m *DeleteCategoryResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *DeleteCategoryResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

func init() {
	proto.RegisterType((*Error)(nil), "category_command.Error")
	proto.RegisterType((*CreateCategoryRequest)(nil), "category_command.CreateCategoryRequest")
	proto.RegisterType((*CreateCategoryResponse)(nil), "category_command.CreateCategoryResponse")
	proto.RegisterType((*UpdateCategoryRequest)(nil), "category_command.UpdateCategoryRequest")
	proto.RegisterType((*UpdateCategoryResponse)(nil), "category_command.UpdateCategoryResponse")
	proto.RegisterType((*DeleteCategoryRequest)(nil), "category_command.DeleteCategoryRequest")
	proto.RegisterType((*DeleteCategoryResponse)(nil), "category_command.DeleteCategoryResponse")
}

func init() {
	proto.RegisterFile("category_command.proto", fileDescriptor_193898a09c7680a5)
}

var fileDescriptor_193898a09c7680a5 = []byte{
	// 355 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x94, 0xdf, 0x4a, 0xfb, 0x30,
	0x14, 0xc7, 0xd7, 0xfd, 0xfb, 0xfd, 0x3c, 0x93, 0x4d, 0x0e, 0x6e, 0x96, 0x5d, 0x8d, 0xde, 0x38,
	0x11, 0x07, 0xce, 0x37, 0xd8, 0x14, 0xbc, 0x2e, 0x78, 0x23, 0x48, 0xc9, 0xda, 0xb3, 0x31, 0x58,
	0x9b, 0x9a, 0xa4, 0x17, 0xbe, 0x89, 0x0f, 0x21, 0x3e, 0xa3, 0x34, 0x69, 0x41, 0xb2, 0xe0, 0x44,
	0x76, 0x97, 0x93, 0xe6, 0x7c, 0xfa, 0xcd, 0xa7, 0x87, 0xc2, 0x28, 0x66, 0x8a, 0x36, 0x5c, 0xbc,
	0x45, 0x31, 0x4f, 0x53, 0x96, 0x25, 0xb3, 0x5c, 0x70, 0xc5, 0xf1, 0xcc, 0xde, 0x0f, 0x6e, 0xa1,
	0xf3, 0x20, 0x04, 0x17, 0x78, 0x0e, 0x1d, 0x2a, 0x17, 0xbe, 0x37, 0xf1, 0xa6, 0x27, 0xa1, 0x29,
	0x10, 0xa1, 0x1d, 0xf3, 0x84, 0xfc, 0xe6, 0xc4, 0x9b, 0xb6, 0x42, 0xbd, 0x0e, 0xde, 0x3d, 0x18,
	0x2e, 0x05, 0x31, 0x45, 0xcb, 0x8a, 0x16, 0xd2, 0x6b, 0x41, 0x52, 0xe1, 0x04, 0x7a, 0x09, 0xc9,
	0x58, 0x6c, 0x73, 0xb5, 0xe5, 0x59, 0x45, 0xfa, 0xbe, 0x85, 0x23, 0xe8, 0x4a, 0xc5, 0x54, 0x21,
	0x35, 0xf1, 0x7f, 0x58, 0x55, 0x78, 0x05, 0x83, 0x9c, 0x09, 0xca, 0x54, 0x54, 0x27, 0xf4, 0x5b,
	0x65, 0xf7, 0x63, 0x23, 0xec, 0x9b, 0x07, 0xf5, 0xbb, 0x16, 0x63, 0xf0, 0xb9, 0x86, 0xb1, 0x5d,
	0x64, 0xf5, 0x04, 0x0c, 0x46, 0x76, 0x32, 0x99, 0xf3, 0x4c, 0x12, 0xfa, 0xf0, 0x2f, 0x25, 0x29,
	0xd9, 0x86, 0xaa, 0x58, 0x75, 0x89, 0x37, 0xf5, 0xc5, 0xcb, 0x44, 0xbd, 0xf9, 0xc5, 0x6c, 0xcf,
	0x9d, 0x16, 0x54, 0x19, 0x09, 0x3e, 0x3c, 0x18, 0x3e, 0xe5, 0x89, 0xe3, 0xf6, 0x08, 0xed, 0xa2,
	0xd8, 0x26, 0x15, 0x5f, 0xaf, 0x6d, 0x23, 0xcd, 0x9f, 0x8c, 0xb4, 0x0e, 0x19, 0x69, 0xff, 0xcd,
	0x88, 0x9d, 0xf6, 0xd8, 0x46, 0xae, 0x61, 0x78, 0x4f, 0x3b, 0xfa, 0x95, 0x90, 0x32, 0x8f, 0x7d,
	0xf8, 0xc8, 0x79, 0xe6, 0x9f, 0x4d, 0x18, 0xd4, 0xf4, 0xa5, 0x39, 0x80, 0x2f, 0xd0, 0x35, 0x83,
	0x81, 0x97, 0xfb, 0xdd, 0xce, 0x61, 0x1e, 0x4f, 0x0f, 0x1f, 0x34, 0xc9, 0x83, 0x46, 0x89, 0x37,
	0x96, 0x5d, 0x78, 0xe7, 0xb4, 0xb8, 0xf0, 0xee, 0x0f, 0x65, 0xf0, 0x46, 0x9a, 0x0b, 0xef, 0x74,
	0xef, 0xc2, 0xbb, 0xbd, 0x07, 0x8d, 0x45, 0xff, 0xf9, 0x54, 0xff, 0x1e, 0xa2, 0x55, 0xb1, 0x5e,
	0x93, 0x58, 0x75, 0x75, 0x75, 0xf7, 0x15, 0x00, 0x00, 0xff, 0xff, 0x70, 0xd3, 0x8f, 0x2f, 0x46,
	0x04, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// CategoryCommandClient is the client API for CategoryCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CategoryCommandClient interface {
	Create(ctx context.Context, in *CreateCategoryRequest, opts ...grpc.CallOption) (*CreateCategoryResponse, error)
	Update(ctx context.Context, in *UpdateCategoryRequest, opts ...grpc.CallOption) (*UpdateCategoryResponse, error)
	Delete(ctx context.Context, in *DeleteCategoryRequest, opts ...grpc.CallOption) (*DeleteCategoryResponse, error)
}

type categoryCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewCategoryCommandClient(cc grpc.ClientConnInterface) CategoryCommandClient {
	return &categoryCommandClient{cc}
}

func (c *categoryCommandClient) Create(ctx context.Context, in *CreateCategoryRequest, opts ...grpc.CallOption) (*CreateCategoryResponse, error) {
	out := new(CreateCategoryResponse)
	err := c.cc.Invoke(ctx, "/category_command.CategoryCommand/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *categoryCommandClient) Update(ctx context.Context, in *UpdateCategoryRequest, opts ...grpc.CallOption) (*UpdateCategoryResponse, error) {
	out := new(UpdateCategoryResponse)
	err := c.cc.Invoke(ctx, "/category_command.CategoryCommand/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *categoryCommandClient) Delete(ctx context.Context, in *DeleteCategoryRequest, opts ...grpc.CallOption) (*DeleteCategoryResponse, error) {
	out := new(DeleteCategoryResponse)
	err := c.cc.Invoke(ctx, "/category_command.CategoryCommand/Delete", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CategoryCommandServer is the server API for CategoryCommand service.
type CategoryCommandServer interface {
	Create(context.Context, *CreateCategoryRequest) (*CreateCategoryResponse, error)
	Update(context.Context, *UpdateCategoryRequest) (*UpdateCategoryResponse, error)
	Delete(context.Context, *DeleteCategoryRequest) (*DeleteCategoryResponse, error)
}

// UnimplementedCategoryCommandServer can be embedded to have forward compatible implementations.
type UnimplementedCategoryCommandServer struct {
}

func (*UnimplementedCategoryCommandServer) Create(ctx context.Context, req *CreateCategoryRequest) (*CreateCategoryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedCategoryCommandServer) Update(ctx context.Context, req *UpdateCategoryRequest) (*UpdateCategoryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (*UnimplementedCategoryCommandServer) Delete(ctx context.Context, req *DeleteCategoryRequest) (*DeleteCategoryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}

func RegisterCategoryCommandServer(s *grpc.Server, srv CategoryCommandServer) {
	s.RegisterService(&_CategoryCommand_serviceDesc, srv)
}

func _CategoryCommand_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryCommandServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_command.CategoryCommand/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryCommandServer).Create(ctx, req.(*CreateCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CategoryCommand_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryCommandServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_command.CategoryCommand/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryCommandServer).Update(ctx, req.(*UpdateCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CategoryCommand_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CategoryCommandServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/category_command.CategoryCommand/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CategoryCommandServer).Delete(ctx, req.(*DeleteCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _CategoryCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "category_command.CategoryCommand",
	HandlerType: (*CategoryCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _CategoryCommand_Create_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _CategoryCommand_Update_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _CategoryCommand_Delete_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "category_command.proto",
}
